import es
import popuplib
import path

info = es.AddonInfo()
info.name      = 'PendingBlock'
info.version   = '1.1'
info.url = 'http://addons.eventscripts.com/addons/view/pendingblock'
info.basename  = 'pendingblock'
info.author    = 'Kana'
 
es.ServerVar(info.name, info.version).makepublic()

addondir = path.path(es.getAddonPath('pendingblock'))
filepath = addondir.joinpath('popuplist.txt')

popups = []

def load():
	es.addons.registerSayFilter(fix)
	es.addons.registerClientCommandFilter(fix2)
	
	if filepath.isfile():
		openfile = open(filepath, 'r')
		readfile = openfile.readlines()
		for popup in readfile:
			if not popup.startswith('//'):
				if popup not in popups:
					popups.append(popup.strip('\n'))
				else:
					es.dbgmsg(0, '"%s" already in popuplist.txt' % popup)
	else:
		openfile = open(filepath, 'w')
		openfile.write('//No need to write anything here except the name of the main popup of your choice(optional)\nshopmenu\nshopinfo')
	openfile.close()
	
def unload():
	es.addons.unregisterSayFilter(fix)
	es.addons.unregisterClientCommandFilter(fix2)
       
def fix(userid, text, teamonly):
	if popuplib.exists(popuplib.active(userid)['name']):
		if popuplib.active(userid)['name'] in popups:
			return (0,0,0)
		else:
			popuplib.close(popuplib.active(userid)['name'], userid)
	return (userid, text, teamonly)
		
def fix2(userid, args):
	if args[0].lower() != 'menuselect':
		if popuplib.exists(popuplib.active(userid)['name']):
			if popuplib.active(userid)['name'] in popups:
				return False
			else:
				popuplib.close(popuplib.active(userid)['name'], userid)
	return True